<script lang="ts">
	import TariffFractionSelector from '$lib/components/dashboard/goods/modales/TariffFractionSelector.svelte';
	import { type TariffFraction } from '$lib/api/dashboard/a76/general_catalogs/tariff-fractions';

	let {
		open = $bindable(false),
		onSelect,
		onClear
	}: {
		open: boolean;
		onSelect: (item: TariffFraction) => void;
		onClear?: () => void;
	} = $props();
</script>

<TariffFractionSelector bind:open {onSelect} {onClear} />
